Package org.eclipse.birt.report.engine.extension

# Interface IRowMetaData

public interface IRowMetaData
Defines a row that the extension might receive. Each column in a row comes from the evaluation of a expression. The getColumnExpression method returns such an expression.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
Returns the number of columns in a detail row of the result set.
`String`
`getColumnName(int index)`
Returns the column name at the specified index.
`int`
`getColumnType(int index)`

## Method Details

### getColumnCount

int getColumnCount()
Returns the number of columns in a detail row of the result set.

Returns:
  the number of columns in a detail row.

### getColumnName

String getColumnName(int index) throws org.eclipse.birt.core.exception.BirtException
Returns the column name at the specified index.

Parameters:
  `index` - The projected column index.
Returns:
  The name of the specified column.
Throws:
  `org.eclipse.birt.data.engine.core.DataException` - if given index is invalid.
  `org.eclipse.birt.core.exception.BirtException`

### getColumnType

int getColumnType(int index) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`